perl-Perl-Critic-Bangs-1.100.0-3-omv2015.0.noarch.rpm


Advertisement

Description

perl-Perl-Critic-Bangs - Adding modifiers to a regular expression

Property Value
Distribution OpenMandriva Lx 3.0
Repository OpenMandriva Contrib Release i586
Package name perl-Perl-Critic-Bangs
Package version 1.100.0
Package release 3-omv2015.0
Package architecture noarch
Package type rpm
Installed size 58.57 KB
Download size 27.60 KB
Official Mirror abf-downloads.openmandriva.org
This is a test diagnostic.
Adding modifiers to a regular expression made up entirely of
a variable created with qr() is usually not doing what you expect.

Alternatives

Package Version Architecture Repository
perl-Perl-Critic-Bangs-1.100.0-3-omv2015.0.noarch.rpm 1.100.0 noarch OpenMandriva Contrib Release
perl-Perl-Critic-Bangs - - -

Requires

Name Value
perl(List::MoreUtils) -
perl(Perl::Critic::Policy) -
perl(Perl::Critic::Utils) -
perl(Readonly) -
perl(abi) >= 5.20.1

Provides

Name Value
perl(Perl::Critic::Bangs) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitBitwiseOperators) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitCommentedOutCode) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitDebuggingModules) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitFlagComments) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitNoPlan) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitNumberedNames) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitRefProtoOrProto) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitUselessRegexModifiers) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitVagueNames) == 1.100.0
perl-Perl-Critic-Bangs == 1.100.0-3:2015.0

Download

Type URL
Binary Package perl-Perl-Critic-Bangs-1.100.0-3-omv2015.0.noarch.rpm
Source Package perl-Perl-Critic-Bangs-1.100.0-3.src.rpm

Install Howto

  1. Enable OpenMandriva Contrib Release repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Perl-Critic-Bangs rpm package:
    # urpmi perl-Perl-Critic-Bangs

Files

Path
/usr/lib/perl5/vendor_perl/5.20.1/Perl/
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Bangs.pm
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Policy/
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Policy/Bangs/ProhibitBitwiseOperators.pm
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Policy/Bangs/ProhibitCommentedOutCode.pm
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Policy/Bangs/ProhibitDebuggingModules.pm
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Policy/Bangs/ProhibitFlagComments.pm
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Policy/Bangs/ProhibitNoPlan.pm
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Policy/Bangs/ProhibitNumberedNames.pm
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Policy/Bangs/ProhibitRefProtoOrProto.pm
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Policy/Bangs/ProhibitUselessRegexModifiers.pm
/usr/lib/perl5/vendor_perl/5.20.1/Perl/Critic/Policy/Bangs/ProhibitVagueNames.pm
/usr/share/doc/perl-Perl-Critic-Bangs/Changes
/usr/share/doc/perl-Perl-Critic-Bangs/META.yml
/usr/share/doc/perl-Perl-Critic-Bangs/README
/usr/share/man/man3/Perl::Critic::Bangs.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitBitwiseOperators.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitCommentedOutCode.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitDebuggingModules.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitFlagComments.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitNoPlan.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitNumberedNames.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitRefProtoOrProto.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitUselessRegexModifiers.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitVagueNames.3pm.xz

See Also

Package Description
perl-Perl-Critic-Compatibility-1.1.0-5-omv2015.0.noarch.rpm Don't allow three-argument open unless version of perl supports it
perl-Perl-Critic-Deprecated-1.119.0-3-omv2015.0.noarch.rpm Write C<$my_variable = 42> instead of C<$MyVariable = 42>
perl-Perl-Critic-Lax-0.10.0-3-omv2015.0.noarch.rpm Policies that let you slide on common exceptions
perl-Perl-Critic-More-1.3.0-3-omv2015.0.noarch.rpm Stop mixing long strings with code
perl-Perl-Critic-Nits-1.0.0-5-omv2015.0.noarch.rpm Policies of nits I like to pick
perl-Perl-Critic-PetPeeves-JTRAMMELL-0.40.0-3-omv2015.0.noarch.rpm Prohibit superfluous initializations
perl-Perl-Critic-Pulp-85.0.0-1-omv2014.1.noarch.rpm Don't use Foo:: style barewords
perl-Perl-Critic-Storable-0.10.0-5-omv2015.0.noarch.rpm Perl::Critic policy for using Storable
perl-Perl-Critic-StricterSubs-0.30.0-5-omv2015.0.noarch.rpm Perl::Critic plugin for stricter subroutine checks
perl-Perl-Critic-Swift-1.0.3-4-omv2015.0.noarch.rpm Additional policies for Perl::Critic
perl-Perl-Critic-Tics-0.8.0-3-omv2015.0.noarch.rpm (this => is => not => good)
perl-Perl-Metrics-Simple-0.170.0-3-omv2015.0.noarch.rpm Methods analyzing a single file
perl-Perl-OSType-1.7.0-3-omv2015.0.noarch.rpm Map Perl operating system names to generic types
perl-Perl-PrereqScanner-1.15.0-3-omv2015.0.noarch.rpm A tool to scan your Perl code for its prerequisites
perl-Perl-Version-1.11.0-5-omv2015.0.noarch.rpm Parse and manipulate Perl version strings
Advertisement
Advertisement